### File

`src/lib/table-row-actions/table-row-action-executing.directive.ts`

### Metadata

Selector | `[rxapTableRowActionExecuting]`
Standalone | `true`

### Index

###### Properties
Public Readonly templateRef
###### Methods
Public hide Public show

### Constructor

`constructor(templateRef: TemplateRef, vcr: ViewContainerRef)`
Defined in src/lib/table-row-actions/table-row-action-executing.directive.ts:11
Parameters :
Name | Type | Optional
templateRef | `TemplateRef<void>` | No
vcr | `ViewContainerRef` | No

### Methods

Public hide
`hide()`
Defined in src/lib/table-row-actions/table-row-action-executing.directive.ts:22
Returns : `void`

Public show
`show()`
Defined in src/lib/table-row-actions/table-row-action-executing.directive.ts:18
Returns : `void`

### Properties

Public Readonly templateRef
Type : `TemplateRef<void>`
Defined in src/lib/table-row-actions/table-row-action-executing.directive.ts:13

    import {
      Directive,
      TemplateRef,
      ViewContainerRef,
    } from '@angular/core';

    @Directive({
      selector: '[rxapTableRowActionExecuting]',
      standalone: true,
    })
    export class TableRowActionExecutingDirective {
      constructor(
        public readonly templateRef: TemplateRef<void>,
        private readonly vcr: ViewContainerRef,
      ) {
      }

      public show(): void {
        this.vcr.createEmbeddedView(this.templateRef);
      }

      public hide(): void {
        this.vcr.clear();
      }
    }

# results matching ""

# No results matching ""